%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-common-core
Version:          2.5.0
Release:          %mkrel 2
Group:            Development/Java
Summary:          JBoss Common Classes
# Under Public Domain license src/main/java/org/jboss/util/Base64.java
License:          ASL 2.0 and Public Domain
URL:              http://www.jboss.org
Source0:          https://github.com/jboss/jboss-common-core/archive/%{name}-%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
Provides:         bundled(java-base64) = 2.1

%description
JBoss Common Core Utility classes

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{namedversion}

# The URLLister* family of classes was removed because the
# apache-slide:webdavlib is a dead project and
# the classes aren't used in JBoss AS 7 at all
rm src/main/java/org/jboss/net/protocol/URLLister.java \
 src/main/java/org/jboss/net/protocol/URLListerBase.java \
 src/main/java/org/jboss/net/protocol/URLListerFactory.java \
 src/main/java/org/jboss/net/protocol/file/FileURLLister.java

%pom_change_dep org.jboss.logging:jboss-logging-spi org.jboss.logging:jboss-logging

# javascript not allowed in javadoc. this is a bit weird
find ./ -name "package.html" -exec sed -i "s/javascript/java script/g" {} +

# AssertionFailedError: expected:<333> but was:<324>
rm src/test/java/org/jboss/test/util/test/xml/resolver/JBossEntityResolverUnitTestCase.java

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Fri Feb 14 2020 umeabot <umeabot> 2.5.0-2.mga8
+ Revision: 1521742
- Mageia 8 Mass Rebuild

* Mon Dec 31 2018 daviddavid <daviddavid> 2.5.0-1.mga7
+ Revision: 1347419
- new version: 2.5.0 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 2.2.22-7.mga7
+ Revision: 1263883
- Mageia 7 Mass Rebuild

* Fri Feb 03 2017 daviddavid <daviddavid> 2.2.22-6.mga6
+ Revision: 1084648
- fix FTBFS
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.2.22-5.mga6
+ Revision: 976516
- First rebuild of the java stack
- sync package jboss-common-core with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 2.2.22-1.mga5
+ Revision: 807648
- Sync with Fedora 21 (update to 2.2.22.GA)

* Wed Oct 15 2014 umeabot <umeabot> 2.2.18-6.mga5
+ Revision: 740853
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 16 2013 dmorgan <dmorgan> 2.2.18-4.mga4
+ Revision: 557820
- Build with maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.2.18-2.mga3
+ Revision: 354916
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 dmorgan <dmorgan> 2.2.18-1.mga3
+ Revision: 291842
- New version

* Fri Aug 05 2011 dmorgan <dmorgan> 2.2.17-1.mga2
+ Revision: 131956
- Clean spec file
+ gil <gil>
- imported package jboss-common-core


* Fri Jun 03 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging


